社区
获取社区版主
GET /v1/communities/{community_id}/moderators reads 2 额度
社区的管理员和版主。
查询参数
| 查询参数 | 类型 | 含义 |
|---|---|---|
count | int 1–100 = 50 | 请求的页大小;X 仅作参考 |
cursor | string | 来自上一页的 next_cursor;无法解码的游标返回 400 |
响应
结构与成员相同;大多数社区一页就能放下,所以 next_cursor 通常为 null。
状态: 200, 400, 404, 422, 429, 502
请求
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/moderators \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 400
{
"community_id": "1493446837214187523",
"users": [
{
"id": "641633",
"screen_name": "marckohlbrugge",
"name": "Marc Köhlbrugge",
"bio": "",
"avatar": "https://pbs.twimg.com/profile_images/1857124042433572864/…_normal.jpg",
"banner": null,
"followers": null,
"following": null,
"tweets": null,
"location": "",
"url": null,
"verified": true,
"verified_type": "blue",
"protected": false,
"created_at": null,
"category": null,
"role": "Admin"
},
{
"…": "…",
"role": "Moderator"
}
],
"next_cursor": null
}